//
//  iCharts.h
//  iCharts
//
//  Created by Walter Flores on 2/13/20.
//  Copyright © 2020 Walter Flores. All rights reserved.
//



@class B4I;
//~dependson: Charts.framework
//~version:1.06
//~shortname:iCharts
//~DesignerProperty: key: minValue, DisplayName: Minimum Value, FieldType: Float, DefaultValue: 0
//~DesignerProperty: key: maxValue, DisplayName: Maximum Value, FieldType: Float, DefaultValue: 1
//~DesignerProperty: key: minDistance, DisplayName: Minimum Distance Value, FieldType: Float, DefaultValue: 0.2
//~ObjectWrapper:UIView*

#import <Foundation/Foundation.h>
#import "iCore.h"

@interface iCharts : B4IViewWrapper <B4IDesignerCustomView>
- (void)DesignerCreateView:(B4IPanelWrapper *)base :(B4ILabelWrapper *)lw :(B4IMap *)props;
@property (nonatomic, readonly)B4IViewWrapper *BaseView;
@property (nonatomic)NSString *Text;

- (void)noDataText:(NSString *)nodatatext;

@end
